#{extends 'borderNG.html' /}
#{set 'titleHead'} SPPBJ #{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">Paket Tender PPK</a></li>
	<li><a href="@{kontrak.SppbjCtr.sppbjPpk(lelang.lls_id)}">e-Kontrak</a></li>
	<li class="active">SPPBJ</li>
</ol>

<div class="content">
	#{alert /}
	#{form @kontrak.SppbjCtr.simpanSppbj(lelang.lls_id), name:'formSppbj', enctype:"multipart/form-data", method:'POST', id:'formSppbj'}
	#{if sppbj?.sppbj_id} <input type=hidden name="sppbj.sppbj_id" value="${sppbj.sppbj_id}"/>#{/if}
	#{if pemenang==null}
	<div class="bs-callout bs-callout-danger">Tender ini belum memiliki Pemenang.</div>
	#{/if}
	<input type="hidden" id="allowfailedchekblacklist" value="0"/>
	<div class="alert alert-danger" role="alert" id="belum-pilih" style="display: none;">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		&nbsp;Anda belum memilih pemenang, silakan pilih Pemenang terlebih dahulu.
	</div>

	<div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
	<table class="table table-sm">
		<tr>
			<td width="250px">Kode Tender </td>
			<td>${lelang?.lls_id}</td>
		</tr>
		<tr>
			<td>Nama Tender </td>
			<td>${lelang.paket.pkt_nama}</td>
		</tr>
		<tr>
			<td>Rencana Umum Pengadaan</td>
			<td>
				<table class="table border table-bordered">
					<thead>
					<tr>
						<th width="15%">Kode RUP</th>
						<th width="55%">Nama Paket</th>
						<th width="20%">Sumber Dana</th>
						<th width="10%">Detail</th>
					</tr>
					</thead>
					<tbody>
					#{list items:rupList, as:'rup'}
					<tr>
						<td>${rup.id}</td>
						<td>${rup.nama}</td>
						<td>${rup.sumberDanaString}</td>
						<td><a href="javascript:void(0);" onclick="detailAnggaran(${rup.id})"
							   title="Detail Anggaran"><i class="fa fa-list"></i></a></td>
					</tr>
					<tr style="display: none" id="da_${rup.id}">
						<td colspan="4">
							<table id="tblSumberAnggaran" class="table table-sm">
								<tr>
									<th width="15%">Tahun</th>
									<th width="25%">Sumber Dana</th>
									<th width="35%">Kode Anggaran</th>
									<th width="25%">Nilai</th>
								</tr>
								#{list items:rup.getAnggaranList(lelang.pkt_id, ppk?.ppk_id), as:'anggaran'}
								<tr>
									<td>${anggaran?.ang_tahun}</td>
									<td>${anggaran?.sbd_id.label}</td>
									<td>${anggaran?.ang_koderekening}</td>
									<td>${anggaran.ang_nilai?.rupiah()}</td>
								</tr>
								#{/list}
							</table>
						</td>
						#{/list}
					</tbody>
				</table>
				<div class="#{validate 'sppbj.rup_anggaran'/}"></div>
				<div class="invalid-feedback">#{error 'sppbj.rup_anggaran' /}</div>
			</td>
		</tr>
		<tr>
			<td>Harga Penawaran</td>
			<td>#{if sppbj?.sppbj_id != null }
				${sppbj?.dkh?.total?.rupiah()} <a href="@{kontrak.SppbjCtr.sppbjHps(sppbj.sppbj_id)}" class="badge  badge-secondary">Lihat Rincian</a>
				#{/if}
				#{else}
				${pemenang?.get(0)?.dkh?.total?.rupiah()} <a href="@{kontrak.SppbjCtr.sppbjHpsPemenang(pemenang?.get(0)?.psr_id)}" class="badge  badge-secondary">Lihat Rincian</a>
				#{/else}
			</td>
		</tr>

	</table>

	<div class="bs-callout bs-callout-info"><strong>Form Surat Penunjukan Penyedia Barang/Jasa (SPPBJ)</strong></div>
	<table class="table table-sm">
		<tr>
			<td width="250px">No. SPPBJ <span class="error">*</span></td>
			<td>
				<input type="text" class="form-control  #{validate 'sppbj.sppbj_no'/}" id="noSppbj" name="sppbj.sppbj_no"
					   value="${sppbj?.sppbj_no}"/>
				<div class="invalid-feedback">#{error 'sppbj.sppbj_no' /}</div>
			</td>
		</tr>
		<tr>
			<td>Lampiran SPPBJ</td>
			<td>
				<input type="text" class="form-control " id="lampSppbj" name="sppbj.sppbj_lamp" value="${sppbj?.sppbj_lamp ?  sppbj?.sppbj_lamp : '-'}"/>
				<span class="form-text"><em>Contoh pengisian: 1 berkas. <br/>Isi dengan tanda (-) jika tidak ada</em></span>
			</td>
		</tr>
		<tr>
			<td>Tanggal SPPBJ <span class="error">*</span></td>
			<td>
				<div class=" input-group date width-normal datepicker">
					<input name="sppbj.sppbj_tgl_kirim" value="${sppbj?.sppbj_tgl_kirim?.toDatepicker()}" type="text"
						   class="form-control datepicker #{validate 'sppbj.sppbj_tgl_kirim' /}"/>
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
					<div class="invalid-feedback">#{error 'sppbj.sppbj_tgl_kirim' /}</div>
				</div>
			</td>
		</tr>
		<tr>
			<td>Kota SPPBJ <span class="error">*</span></td>
			<td valign="top">
				<input type="text" class="form-control  #{validate 'sppbj.sppbj_kota' /}" id="kotaSppbj" name="sppbj.sppbj_kota"
					   value="${sppbj?.sppbj_kota}"/>
				<div class="invalid-feedback">#{error 'sppbj.sppbj_kota' /}</div>
			</td>
		</tr>
	</table>

	<div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
	<table class="table table-sm">
		<tr>
			<td width="250px">Nama PPK</td>
			<td>${pegawai?.peg_nama}</td>
		</tr>
		<tr>
			<td>NIP PPK</td>
			<td>${pegawai?.peg_nip}</td>
		</tr>
		<tr>
			<td>Jabatan PPK <span class="error">*</span></td>
			<td>
				<input name="sppbj.jabatan_ppk_sppbj"  value="${sppbj?.jabatan_ppk_sppbj}" type="text" class="form-control #{validate 'sppbj.jabatan_ppk_sppbj' /}" />
				<div class="invalid-feedback">#{error 'sppbj.jabatan_ppk_sppbj' /}</div>
			</td>
		</tr>
		<tr>
			<td>Nama Satuan Kerja</td>
			<td>${lelang?.paket?.getNamaSatker()}</td>
		</tr>
		<tr>
			<td>Alamat Satuan Kerja <span class="error">*</span></td>
			<td>
				<input name="sppbj.alamat_satker"  value="${sppbj?.alamat_satker}" type="text" class="form-control #{validate 'sppbj.alamat_satker' /}" />
				<div class="invalid-feedback">#{error 'sppbj.alamat_satker' /}</div>
			</td>
		</tr>
	</table>

	<div class="bs-callout bs-callout-info"><strong>Informasi Pendukung</strong></div>
	<table class="table table-sm">
		<tr>
			<td width="250px">Penyedia <span class="error">*</span></td>
			<td>
				<table class="table table-sm" style="width:100%">
					<tr>
						<th width="10" class="fcol titleTop"></th>
						<th width="150" class="titleTop">Pemenang</th>
						<th width="150" class="hrlast titleTop">NPWP</th>
						<th width="150" class="hrlast titleTop">Email</th>
						<th width="150" class="hrlast titleTop">Harga Final</th>
						<th width="150" class="hrlast titleTop">Undangan Kontrak</th>
					</tr>
					#{list items:peserta, as:'calon'}
					<tr>
						<td style="text-align:center">
							<input type="radio" name="rekananId" id="rekananId" class="cmbRknId" harga="${calon.hargaFinal().formatDouble()}"
								   value="${calon.peserta.rekanan.rkn_id}" hargaRupiah="${calon.hargaFinal().rupiah()}"
								   #{if (!lelang?.isItemized() || sppbj != null) && (calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id
								   || (sppbj?.rekanan?.rkn_id == null && calon.isLulus())
								   || (lelang.pemilihan.lelangExpress && calon.peserta.is_pemenang_verif))}checked#{/if}
							readonly/>
						</td>
						<td>${calon.peserta.rekanan.rkn_nama} <br>
							#{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
							<span class="error">* Berdasar SPPBJ</span><br/>
							#{/if}
							#{if lelang.pemilihan.lelangExpress && calon.peserta.is_pemenang_verif}
							<span class="error">* Berdasar Verifikasi Pokja</span><br/>
							#{/if}
							#{if calon.isLulus()}
							<script type="text/javascript">
										var lulus_system = ${calon.peserta.rekanan.rkn_id};
									</script>
							#{if lelang.getPemilihan().isLelangExpress()}
							<span class="error">* Penawaran Terendah</span><br/>
							#{/if}
							#{else}
							<span class="error">* Pemenang Hasil Evaluasi</span><br/>
							#{/else}
							#{/if}
						</td>
						<td>${calon.peserta.rekanan.rkn_npwp}</td>
						<td>${calon.peserta.rekanan.rkn_email}</td>
						<td>${calon.hargaFinal().rupiah()}</td>
						<td>
							#{if calon.peserta.sudahTerimaUndanganKontrak() }
							<a href="@{admin.UtilityCtr.viewUdanganPdf(calon.peserta.lls_id, calon.peserta.rkn_id, models.common.JenisEmail.UNDANGAN_KONTRAK)}"
							   class="badge  badge-secondary">
								<i class="fa fa-print"></i>
								Cetak
							</a>
							<a href="@{kontrak.SppbjCtr.viewUdanganKontrakPdf(calon.peserta.lls_id, calon.peserta.rkn_id)}"
							   class="badge  badge-secondary" target="_blank">
								<i class="fa fa-download"></i>
								Preview
							</a>
							#{/if}
							#{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
							<a href="@{kontrak.SppbjCtr.undanganKontrak(sppbj?.sppbj_id, calon.peserta.psr_id)}" class="badge  badge-secondary" value="form-undang-kontrak" style="margin-top:3px">
								<i class="fa fa-envelope"></i>
								#{if calon.peserta.sudahTerimaUndanganKontrak() }
								Kirim Ulang
								#{/if}
								#{else}
								Kirim
								#{/else}
							</a>
							#{/if}
						</td>
					</tr>
					#{/list}
					<tr style="#{if sppbj == null || sppbj?.catatan_ppk == null || sppbj?.catatan_ppk == ""}display:none#{/if}" id="baris_catatan">
					<td colspan="5">
						<label>Alasan mengundurkan diri<span class="error"> (Minimal 10 karakter)</span></label>
						<textarea class="form-control #{validate 'sppbj.catatan_ppk'/}" name="sppbj.catatan_ppk" id="catatan_ppk"
								  rows="5" disabled>${sppbj?.catatan_ppk}</textarea>
						<div class="invalid-feedback">#{error 'sppbj.catatan_ppk' /}</div>
						<span class="form-text" id="errMsg" style="display: none;">
								Anda wajib mengisi Alasan. Alasan mengundurkan diri minimal 10 karakter
							</span>
					</td>
					</tr>
				</table>
				#{if peserta.size() > 1}
				#{if !lelang?.isItemized()}
				<div class="bs-callout bs-callout-info" id="div-editPemenang">
					Jika Pemenang mengundurkan diri,
					<a href="javascript:void(0)" onclick="editPemenang()" class="badge  badge-secondary">klik di sini</a>
					untuk memilih Pemenang cadangan berikutnya.
				</div>
				#{/if}
				#{else}
				<div class="bs-callout bs-callout-info" id="div-editPemenang">
					<a href="javascript:void(0)" onclick="editPemenang()" class="badge  badge-secondary">klik di sini</a>
					untuk memilih Pemenang.
				</div>
				#{/else}
				#{/if}
				<div class="#{validate 'sppbj.rkn_id'/}"></div>
				<div class="invalid-feedback">#{error 'sppbj.rkn_id' /}</div>
			</td>
		</tr>
		#{if !konsultan}
		<tr>
			<td>Nilai Jaminan Pelaksanaan (Rp)</td>
			<td>
				<input id="jaminanPelaksanaan" class="form-control #{validate 'sppbj.jaminan_pelaksanaan'/}" name="sppbj.jaminan_pelaksanaan"
					   value="${jaminanPelaksanaan?.formatDouble()}"/>
				<div class="invalid-feedback">#{error 'sppbj.jaminan_pelaksanaan' /}</div>
				<div class="bs-callout bs-callout-warning">
					Gunakan koma untuk pemisah desimal.
				</div>
			</td>
		</tr>
		#{/if}
		<tr>
			<td>Tembusan</td>
			<td>
				<table class="table table-sm" id="tblTemb">
					<tbody>
					#{list items:tembusan, as:'tmbusan'}
					#{set i : tmbusan_index - 1 /}
					<tr>
						<td><input type="text" name="nama[${i}]" id="nama" value="${tmbusan}" class="form-control"></td>
						<td><a href="@{kontrak.SppbjCtr.hapusTembusanSppbj(sppbj.sppbj_id, tmbusan)}" class="confirm" title="Apakah Anda yakin akan menghapus data ini?">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td>
					</tr>
					#{/list}
					</tbody>
				</table>
				<button type="button" class="btn btn-secondary " id="tambahTemb"><i class="fa fa-plus-circle"></i>
					Tambah Tembusan
				</button>
			</td>
		</tr>
	</table>

	#{if sppbj != null }
	<div class="bs-callout bs-callout-info"><strong>Dokumen SPPBJ</strong></div>
	<table class="table table-sm">
		<tr>
			<td width="250px">Dokumen Cetak</td>
			<td>
				<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
					<i class="fa fa-plus-circle"></i>
					<span>Upload</span>
					<input id="fileupload" type="file" name="file" />
				</div>
				<div id="progress" class="progress" style="display: none;">
					<div class="progress-bar progress-bar-success"></div>
				</div>
				<div id="alert-upload"></div>

				<table class="table table-sm table-striped" id="files">
				<thead>
				<th width="50%">Nama File</th>
				<th width="40%">Tanggal Upload</th>
				<th width="10%">Aksi</th>
				</thead>
				<tbody>
				#{list items:sppbj?.dokumen, as:'dok'}
				<tr>
					<td>#{download dok/}</td>
					<td>${dok?.blb_date_time?.formatDateTime()}</td>
					<td><a href="javascript:void(0)" title="Hapus File" class="removeDokSppbj" versi="${dok.blb_versi}">
						<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
					</td>
				</tr>
				#{/list}
				</tbody>
	</table>
	</td>
	<div class="bs-callout bs-callout-warning">
		Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i> ${allowedExt}</i></strong>.
	</div>
	</tr>
	#{/if}
	#{if pemenang!=null}
	<tr>
		<td colspan="2">
			<button type="submit" name="simpan" class="btn btn-success confirm" title="Apakah Anda yakin akan menyimpan data SPPBJ ini?"><i class="fa fa-save"></i> Simpan</button>
			#{if sppbj?.sppbj_id}
			<a href="@{kontrak.SppbjCtr.cetakDokSppbj(sppbj.sppbj_id)}" class="btn btn-primary"
			   target="_blank"><i class="fa fa-print"></i> Cetak</a>
			#{if sppbj?.sudah_kirim_pengumuman}
			<a href="javascript:void(0)" class="btn btn-primary" disabled><i
					class="fa fa-check-circle"></i> Sudah Kirim Pengumuman</a>
			#{/if}
			#{else}
			<a href="@{kontrak.SppbjCtr.kirimPengumumanSppbj(sppbj.sppbj_id)}" class="btn btn-primary confirm" title="Apakah Anda yakin akan kirim pengumuman SPPBJ?"><i
					class="fa fa-envelope"></i> Kirim Pengumuman</a>
			#{/else}
			#{/if}
			<a href="@{kontrak.SppbjCtr.sppbjPpk(lelang.lls_id)}" class="btn btn-secondary"> Kembali</a>
		</td>
	</tr>
	#{/if}
	</table>

	<div class="bs-callout bs-callout-warning">
		<span class="warning"> *</span> Wajib Diisi
	</div>

	<div class="alert alert-danger" role="alert" id="blacklisted">
		<p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		Tidak dapat melakukan Penetapan Pemenang, karena Peserta yang di pilih ada di dalam Daftar Hitam.</strong></h5>
		Silakan akses (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) untuk informasi lebih lanjut.</p>
	</div>

	<div class="alert alert-danger" role="alert" id="confirmation">
		<p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		SPSE sedang tidak bisa melakukan pemeriksaan Daftar Hitam.</strong></h5>
		Mohon pastikan secara manual ke (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) bahwa Peserta yang dipilih tidak masuk dalam Daftar Hitam.
		<br/><br/>Lanjutkan penetapan Peserta sebagai Pemenang?</p>
		<br/>
		<button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-secondary" id="no-confirm">Tidak
	</button>
	</div>

	<div class="alert alert-warning" role="alert" id="load">
		<p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
		Mohon tunggu... sedang melakukan pemeriksaan Daftar Hitam.</strong></h5></p>
	</div>
	#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/numeral.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
	var haveNote;
	var isNoteShowed;

	$(document).on('click', '.removeBtn', function () {
		$(this).parent().parent().remove()
	});

	$(document).ready(function (e) {
		var tgl = '${todayDate}';
		 $(".form-control.tgl").focus(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });

        $(".form-control.tgl").focusout(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });
	    haveNote = $("#catatan_ppk").html();

		#{if !konsultan}
        	jaminanPelaksanaan = new AutoNumeric('#jaminanPelaksanaan', { digitGroupSeparator: '.', decimalCharacter: ',' });
		#{/if}

		$("#load").hide();

		$('#blacklisted').hide();

		$('#confirmation').hide();

		$('#no-confirm').click(function () {
			$('#confirmation').hide();
			$('button[name="simpan"]').show();
			return false;
		});

		$('#yes-confirm').click(function () {
			//allow failed check blacklist
			$('#allowfailedchekblacklist').val('1');
			$('#formSppbj').submit();
		});

        #{if sppbjx?.rekanan?.rkn_id!=null && !lelang?.isItemized()}
			if (${sppbjx?.rekanan?.rkn_id} != lulus_system){
				$("#baris_catatan").css("display", "table-row");
				isNoteShowed = true;
			}
        #{/if}

		$('input[type=radio][name=rekananId]').change(function () {
			#{if !lelang?.isItemized()}
				if ($(this).val() == lulus_system && (haveNote === "null" || haveNote === "")) {
                    $("#catatan_ppk").attr("disabled",true);
					$("#baris_catatan").css("display", "none");
					isNoteShowed = false;
				}
				else {
					$("#baris_catatan").css("display", "table-row");
					isNoteShowed = true;
				}
			#{/if}
		});

		$('#formSppbj').submit(function () {
			var allowFailedcheck = $('#allowfailedchekblacklist').val();
			var valid = true;
			var llsId = '${lelang.lls_id}'
			var nevId = $('input[name="rekananId"]:checked').val();
			var blacklistUrl = #{jsRoute @kontrak.SppbjCtr.pengecekanBlacklist(':nevId', ':llsId') /};
			if (nevId == null) {
				valid = false;
				$("#belum-pilih").show();
				$("#rekananId").focus();
			}

			var note = $("#catatan_ppk").val();
			if(isNoteShowed && !note){
			    valid = false;
			    $("#catatan_ppk").focus();
			    $("#baris_catatan").addClass("has-error");
			    $("#errMsg").show();
			}

			if (valid == true) {
                $("#baris_catatan").removeClass("has-error");
                $("#errMsg").hide();
				$('button[name="simpan"]').hide();
				$('#load').show();
				$.ajax({
					type: 'POST',
					async: false,
					url: blacklistUrl.url({nevId: nevId, llsId: llsId}),
					success: function (data) {
						if (data == 2) {
							if(allowFailedcheck=='0'){
								valid = false;
								$('#confirmation').show();
							}else{
								//console.log('allow, failed check blacklist');
							}
						} else if (data == 1) {
							valid = false;
							$('#blacklisted').show();
						} else {
							$('button[name="simpan"]').show();
						}
						$('#load').hide();
					},

					error: function () {
						$('#load').hide();
						$('button[name="simpan"]').show();
						alert('error');
					}
				})
			}

			$('input[type=radio][name=rekananId]').removeAttr("disabled");
			return valid;
		});
	});

	$("#tambahTemb").click(function () {
		var ind = $('#tblTemb tr').length - 1
		var addTemb ='<tr><td><input type="text" class="form-control" name="nama[' + ind + ']" ></td>' +
					'<td><a href="javascript:void(0)" class="removeBtn">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td></tr>'
		$("#tblTemb").append(addTemb)
	});

	function editPemenang() {
		$('input[type=radio][name=rekananId]').attr("disabled", false);
		$("#catatan_ppk").attr("disabled",false);
		$('input').attr("disabled", false);
		$("#div-editPemenang").hide();
	}

	function editHargaFinal() {
		$("#catatan_hargakontrak").attr("disabled",false);
		$('input').attr("disabled", false);
		$("#div-editHargaFinal").hide();
	}

	numeral.language("id", {
		delimiters: {thousands: ".", decimal: ","},
		abbreviations: {thousand: "r", million: "j", billion: "m", trillion: "t"},
		ordinal: function () {
			return "."
		},
		currency: {symbol: "Rp"}
	});

	numeral.language("id");

	function formatCurrency(num) {
		num = num.toString().replace(/\$|\,/g, '');
		if (isNaN(num)) {
			num = 0;
		}
		return numeral(num).format("0,0.00");
	}

	function detailAnggaran(rup_id) {
		$("#da_" + rup_id).toggle(500);
	}
	#{if sppbj?.sppbj_id != null }
	$(document).on('click', '#fileupload', function(){
		var url = '@{kontrak.SppbjCtr.uploadDokSppbj(sppbj?.sppbj_id)}';
		$('#fileupload').fileupload({
			url: url,
			dataType: 'json',
			acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
			done: function (e, data) {
				$('#progress').hide();
				if (data.result.success) {
					$.each(data.result.files, function (index, file) {
						var upload_date = file.upload_date;
						var content = '<td><a href="'+ file.download_url+'"><span class="fa fa-download"></span> '+file.name+ ' - '+file.size+'</a>' + '<td>' + upload_date + '</td><td>' +
								'<a href="javascript:void(0)" class="removeDokSppbj" versi="' + file.versi + '">' +
								'<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a></td>';
						$('<tr/>').html(content).appendTo('#files');
					});
					$('#alert-upload').attr('class', 'alert alert-success').html('File berhasil diupload').show();
				} else {
					$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
				}
			},
			progressall: function (e, data) {
				var progress = parseInt(data.loaded / data.total * 100, 10);
				$('#progress').show();
				$('#progress .progress-bar').css(
						'width',
						progress + '%'
				);
			}
		}).on('fileuploadprocessalways', function (e, data) {
			var file = data.files[data.index];
			if (data.files.error && file.error) {
				var msg = file.name+' - '+file.error
				$('#alert-upload').attr('class', 'alert alert-danger fade in').html(msg).show()
			}
		}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
	});

	$(document).on('click', '.removeDokSppbj', function(){
		var versi = $(this).attr('versi')
		var parent = $(this).parent()
		var source  = #{jsRoute @kontrak.SppbjCtr.hapusDokSppbj(sppbj?.sppbj_id) /};
		BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
                  $.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
							parent.parent().remove()
						},
						error : function(){
							$('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
	});

		$(document).on('click', '.removetembusan', function(){
		var versi = $(this).attr('versi')
		var parent = $(this).parent()
		var source  = #{jsRoute @kontrak.PembayaranCtr.hapusDokBap(bapx?.bap_id) /};
		 BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus Tembusan ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
                   $.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload-bap').attr('class', 'alert alert-success fade in').html('File telah terhapus').show();
							parent.parent().remove()
						},
						error : function(){
							$('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
	});

	#{/if}
</script>
#{/set}